#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libcss
Version		:	0.9.2
Release		:	17.0.10.rel%{?dist}
Summary		:	A CSS parser and selection engine

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.netsurf-browser.org/libs/releases/

Source0		:	%{name}-%{version}-src.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	netsurf-buildsystem
BuildRequires	:	libparserutils-devel
BuildRequires	:	libwapcaplet-devel

#-----------------------------------------------------------------------------
%description
LibCSS is a CSS (Cascading Style Sheet) parser and
selection engine, written in C. It was developed as
part of the NetSurf project. For further details,
see README.
 
Features:
* Parses CSS, good and bad
* Simple C API
* Low memory usage
* Fast selection engine
* Portable

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%license COPYING
%{_libdir}/%{name}.so.0*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%doc docs
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__make}						\
	%{_smp_mflags}					\
	PREFIX=%{_prefix}				\
	COMPONENT_TYPE=lib-shared 			\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	PREFIX=%{_prefix}				\
	COMPONENT_TYPE=lib-shared 			\
	install

#-----------------------------------------------------------------------------
%changelog
